# frozen_string_literal: true

$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/lib")
require_relative 'lib/hyde'

app = Hyde::Server.new do
  path /^test\/\w+/ do
    probe "probe"
  end

  path "/subdir/test" do
    probe "probe"
  end

  path "/match/*/test/:test/" do
    probe "probe"
  end

  path "/match/:test/" do
    probe "probe"
  end

  path "/match2/*/" do
    head "probe" do
      "<html><body><p>Hello world!</p></body></html>"
    end
    get "probe" do
      code 400
      header "Random-Shit", "peepee"
      "<html><body><p>Hello world!</p></body></html>"
    end
    post "probe" do
      "<html><body><p>Hello world!</p></body></html>"
    end
  end
end

run app
